Package: org.codehaus.groovy.runtime.callsite

## [Java] Class CallSiteArray

- org.codehaus.groovy.runtime.callsite.CallSiteArray

-     public final class CallSiteArray
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Object[]` | `NOPARAM` |
    `CallSite[]` | `array` |
    `Class` | `owner` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CallSiteArray(Class owner, String[] names)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Object` | `defaultCall(CallSite callSite, Object receiver, Object[] args)`
    `` | `public static Object` | `defaultCallConstructor(CallSite callSite, Object receiver, Object[] args)`
    `` | `public static Object` | `defaultCallCurrent(CallSite callSite, GroovyObject receiver, Object[] args)`
    `` | `public static Object` | `defaultCallStatic(CallSite callSite, Class receiver, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final Object[] NOPARAM

    - #### public final CallSite[] array

    - #### public final Class owner

  - ### Constructor Detail

    - #### public CallSiteArray(Class owner, String[] names)

  - ### Method Detail

    - #### public static Object defaultCall(CallSite callSite, Object receiver, Object[] args)

    - #### public static Object defaultCallConstructor(CallSite callSite, Object receiver, Object[] args)

    - #### public static Object defaultCallCurrent(CallSite callSite, GroovyObject receiver, Object[] args)

    - #### public static Object defaultCallStatic(CallSite callSite, Class receiver, Object[] args)